/* Post + Page */
.post,
.page {
  max-width: 780px;
  margin: 0 auto;
  color: var(--text-color);

  a {
    border-bottom: 3px solid var(--border-color);
    transition: $global-transition;
    &:hover {
      color: var(--link-color-hover);
      border-color: transparent;
    }
  }

  .button {
    border: none;
    text-decoration: none;

    &:hover {
      color: var(--button-color);
    }
  }
}

.post-image,
.page-image {
  position: relative;
  height: 590px;
  margin-bottom: 68px;
  border-radius: 2px;
  overflow: hidden;

  img {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    border-radius: 2px;
    object-fit: cover;
    user-select: none;
    background-color: var(--text-color);
  }
  
  @media only screen and (max-width: $desktop) {
    height: 460px;
    margin-bottom: 40px;
  }

  @media only screen and (max-width: $tablet) {
    height: 360px;
  }

  @media only screen and (max-width: $mobile) {
    margin-bottom: 32px;
    height: 280px;
  }
}

.post__info,
.page__info {
  text-align: center;
  margin-bottom: 48px;

  @media only screen and (max-width: $desktop) {
    margin-bottom: 40px;
  }

  @media only screen and (max-width: $mobile) {
    margin-bottom: 32px;
  }
}

.post__title,
.page__title {
  margin-bottom: 40px;
  font-size: 72px;
  line-height: .85em;
  text-transform: uppercase;

  @media only screen and (max-width: 1140px) {
    font-size: 64px;
  }

  @media only screen and (max-width: $desktop) {
    font-size: 48px;
  }

  @media only screen and (max-width: $mobile) {
    margin-bottom: 24px;
    font-size: 32px;
  }
}

.post__meta {
  font-size: 12px;
  line-height: 14px;
  font-weight: 700;
  letter-spacing: 2px;
  color: var(--heading-font-color);
}

/* Post Bottom */
.post__bottom {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  margin-top: 48px;
  padding-bottom: 48px;
  border-bottom: 1px solid var(--border-color);

  @media only screen and (max-width: $mobile) {
    margin-top: 40px;
    padding-bottom: 40px;
  }
}

.post__share {

  .share__list {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
  }

  .share__item {
    margin-right: 8px;
    margin-bottom: 0;
    margin: 4px 8px 4px 0;
    text-align: center;
  }

  .share__link {
    display: block;
    padding: 12px 24px;
    font-size: 11px;
    font-weight: 500;
    text-transform: uppercase;
    border: none;
    border-radius: 4px;
    color: var(--background-color)-alt;

    &.share__facebook,
    &.share__twitter {
      transition: $global-transition;

      &:hover {
        color: var(--white);
      }
    }
    &.share__facebook {
      color: var(--white);
      background: #3b5998;

      &:hover {
        background: #344e86;
      }
    }
    &.share__twitter {
      color: var(--white);
      background: #55acee;

      &:hover {
        background: #3ea1ec;
      }
    }
  }
}

.post__tags {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  
  .post__tag {
    padding: 12px 24px;
    margin: 4px 8px 4px 0;
    font-size: 11px;
    line-height: 13px;
    font-weight: 500;
    text-transform: uppercase;
    border: none;
    border-radius: 4px;
    color: var(--text-alt-color);
    background-color: var(--light-gray);
  
    &:last-child {
      margin-right: 0;
    }
  
    &:hover {
      color: var(--dark);
    }
  }
}

/* Author */
.post-author {
  display: flex;
  align-items: center;
  padding: 40px 0;
  margin-bottom: 68px;
  border-bottom: 1px solid var(--border-color);

  .post-author__image {
    position: relative;
    display: block;
    min-width: 60px;
    height: 60px;
    margin-right: 20px;
    border-radius: 50%;
    border: none;
    overflow: hidden;
    text-decoration: none;

    img {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }

  .post-author__name {
    margin-bottom: 12px;
    font-weight: 700;
    font-size: 20px;
    text-transform: uppercase;
    line-height: 1;
    
    &:hover {
      a {
        color: var(--heading-font-color);
      }
    }

    a {
      border: none;
    }
  }

  .post-author__bio {
    font-size: 18px;
    margin-bottom: 0;
  }

  .post-author__meta {
    display: flex;
    line-height: initial;
  }

  @media only screen and (max-width: $desktop) {
    .post-author__bio {
      font-size: 16px;
    }
  }

  @media only screen and (max-width: $mobile) {
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin-bottom: 40px;
  }

  @media only screen and (max-width: $tablet) {
    flex-direction: column;
    text-align: center;

    .post-author__image,
    .post-author__name {
      margin-bottom: 16px;
    }

    .post-author__image {
      margin-right: 0;
    }

    .post-author__meta {
      justify-content: center;
    }
  }
}

/* 404 */
.error {
  margin-bottom: 0;
  text-align: center;

  .error__title {
    margin-bottom: 24px;
    font-size: 100px;
    line-height: 1;
  }

  .error__text {
    margin-bottom: 48px;
    color: var(--text-alt-color);
  }
  
  @media only screen and (max-width: $mobile) {
    .error__title {
      font-size: 68px;
    }

    .error__title {
      font-size: 80px;
    }
    .error__text {
      margin-bottom: 24px;
    }
  }
}